<div *ngIf="this.data">
  <ion-list class="ion-no-padding">
    <ion-segment class="segment-info" color="secondary" [(ngModel)]="idSelected">
      <ion-segment-button *ngFor="let item of data;let i = index" [value]="item.Id">
        <ion-icon class="la la-certificate"></ion-icon>
        <ion-label>{{item?.TieuDe}}</ion-label>
      </ion-segment-button>
    </ion-segment>
  </ion-list>
  <ion-list *ngIf="data" margin-bottom-content>
    <div *ngFor="let item of data;let i = index">
      <ion-item lines="none" [hidden]="!(i == 0 && idSelected == item.Id)">
        <ion-text>
          <p>Chào mừng bạn đến với Rao Reward. Mỗi lần mua point bạn sẽ được tích lũy một số
            point tương ứng. Số point càng lớn, bạn sẽ có cơ hội thăng hạng và được hưởng nhiều
            ưu đãi hấp dẫn.</p>
        </ion-text>
      </ion-item>
      <ion-item lines="none" [hidden]="!(i != 0 && idSelected == item.Id)">
        <ion-label>
          <h2 class="ion-margin-bottom"><b>Quyền lợi {{item?.TieuDe}}</b></h2>
          <ion-text class="ion-margin-top">
            <p>
              <ion-icon color="success" name="checkmark-circle"></ion-icon> Giảm giá:
              <b>{{item.PercentDiscount}}%</b>
            </p>
            <p>
              <ion-icon color="success" name='checkmark-circle'>
              </ion-icon>
              Cần tích lũy: {{item.PointRule|number}} point.
            </p>
          </ion-text>
        </ion-label>

      </ion-item>
    </div>
  </ion-list>
  <ion-list *ngIf="!data"  margin-bottom-content>
    <ion-row class="ion-padding">
      <p>
        <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
      </p>
      <p>
        <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
      </p>
      <p>
        <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
      </p>
      <p>
        <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
      </p>
      <p>
        <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
      </p>
    </ion-row>
  </ion-list>
</div>